Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface ColumnInformation

public interface ColumnInformation
extends BaseEJBObject

Interface to the portal column information, this includes a link to the category. The column information is portal/category specific.

Method Summary
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumnOrder()` Get column order.
`int` | `getColumnWidth()` Get column width in percent.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setColumnOrder(int aColumnOrder)` Set column order.
`void` | `setColumnWidth(int aPercent)` Set column width in percent.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPortalName

    public java.lang.String getPortalName()
                                   throws java.rmi.RemoteException

  Get portal name.
  Returns:
    `String` the portal name.
  Throws:
    `RemoteException` - container exception.

### getCategoryName

    public java.lang.String getCategoryName()
                                     throws java.rmi.RemoteException

  Get category name.
  Returns:
    `String` the category name.
  Throws:
    `RemoteException` - container exception.

### getColumnWidth

    public int getColumnWidth()
                       throws java.rmi.RemoteException

  Get column width in percent.
  Returns:
    `int` width in percent (100 based)
  Throws:
    `RemoteException` -

### setColumnWidth

    public void setColumnWidth(int aPercent)
                        throws java.rmi.RemoteException

  Set column width in percent.
  Parameters:
    `aPercent` - width in percent (100 based)
  Throws:
    `RemoteException` -

### getColumnOrder

    public int getColumnOrder()
                       throws java.rmi.RemoteException

  Get column order.
  Returns:
    `int` the order.
  Throws:
    `RemoteException` - container error.

### setColumnOrder

    public void setColumnOrder(int aColumnOrder)
                        throws java.rmi.RemoteException

  Set column order.
  Parameters:
    `aColumnOrder` - the column order.
  Throws:
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved